peak.can.basic

## Enum TPCANMode

- java.lang.Object
- - java.lang.Enum<TPCANMode>
  - - peak.can.basic.TPCANMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TPCANMode>

      public enum TPCANMode
      extends java.lang.Enum<TPCANMode>

  Represents a PCAN filter mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PCAN_MODE_EXTENDED` Mode is Extended (29-bit identifier).
    `PCAN_MODE_STANDARD` Mode is Standard (11-bit identifier).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()`
    `static TPCANMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TPCANMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PCAN_MODE_STANDARD

          public static final TPCANMode PCAN_MODE_STANDARD

      Mode is Standard (11-bit identifier).

    - #### PCAN_MODE_EXTENDED

          public static final TPCANMode PCAN_MODE_EXTENDED

      Mode is Extended (29-bit identifier).

  - ### Method Detail

    - #### values

          public static TPCANMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TPCANMode c : TPCANMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TPCANMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()